Public Member Functions | Static Public Member Functions

# OGRCoordinateTransformation Class Reference

Interface for transforming between coordinate systems. More...

`#include <ogr_spatialref.h>`

Inherited by CompositeCT, CutlineTransformer, GCPCoordTransformation, and OGRProj4CT.

List of all members.

## Public Member Functions
virtual OGRSpatialReference * | GetSourceCS ()=0
| Fetch internal source coordinate system.
virtual OGRSpatialReference * | GetTargetCS ()=0
| Fetch internal target coordinate system.
virtual int | Transform (int nCount, double *x, double *y, double *z=NULL)=0
| Transform points from source to destination space.
virtual int | TransformEx (int nCount, double *x, double *y, double *z=NULL, int *pabSuccess=NULL)=0
| Transform points from source to destination space.
## Static Public Member Functions
static void | DestroyCT (OGRCoordinateTransformation *poCT)
| OGRCoordinateTransformation destructor.

## Detailed Description

Interface for transforming between coordinate systems.

Currently, the only implementation within OGR is OGRProj4CT, which requires the PROJ.4 library to be available at run-time.

Also, see OGRCreateCoordinateTransformation() for creating transformations.

## Member Function Documentation

void OGRCoordinateTransformation::DestroyCT | ( | OGRCoordinateTransformation * | poCT | ) | `[static]`

OGRCoordinateTransformation destructor.

This function is the same as OGRCoordinateTransformation::~OGRCoordinateTransformation() and OCTDestroyCoordinateTransformation()

This static method will destroy a OGRCoordinateTransformation. It is equivalent to calling delete on the object, but it ensures that the deallocation is properly executed within the OGR libraries heap on platforms where this can matter (win32).

Parameters:

  | poCT | the object to delete

Since:
  GDAL 1.7.0

virtual OGRSpatialReference* OGRCoordinateTransformation::GetSourceCS | ( |  | ) | `[pure virtual]`

Fetch internal source coordinate system.

virtual OGRSpatialReference* OGRCoordinateTransformation::GetTargetCS | ( |  | ) | `[pure virtual]`

Fetch internal target coordinate system.

virtual int OGRCoordinateTransformation::Transform | ( | int | nCount,
|  | double * | x,
|  | double * | y,
|  | double * | z = `NULL` |
| ) |  |  | `[pure virtual]`

Transform points from source to destination space.

This method is the same as the C function OCTTransform().

The method TransformEx() allows extended success information to be captured indicating which points failed to transform.

Parameters:

  | nCount | number of points to transform.
  | x | array of nCount X vertices, modified in place.
  | y | array of nCount Y vertices, modified in place.
  | z | array of nCount Z vertices, modified in place.

Returns:
  TRUE on success, or FALSE if some or all points fail to transform.

virtual int OGRCoordinateTransformation::TransformEx | ( | int | nCount,
|  | double * | x,
|  | double * | y,
|  | double * | z = `NULL`,
|  | int * | pabSuccess = `NULL` |
| ) |  |  | `[pure virtual]`

Transform points from source to destination space.

This method is the same as the C function OCTTransformEx().

Parameters:

  | nCount | number of points to transform.
  | x | array of nCount X vertices, modified in place.
  | y | array of nCount Y vertices, modified in place.
  | z | array of nCount Z vertices, modified in place.
  | pabSuccess | array of per-point flags set to TRUE if that point transforms, or FALSE if it does not.

Returns:
  TRUE if some or all points transform successfully, or FALSE if if none transform.

The documentation for this class was generated from the following files:

- ogr_spatialref.h
- ogrct.cpp

Generated for GDAL by 1.7.1.